<template>
  <q-card
    :square="!isDesktopPlatform"
  >
    <q-img
      :src="imgUrl"
    />
    <div class="row q-gutter-sm q-px-sm q-mb-xs">
      <div
        v-for="climateZone in climateZones"
        :key="climateZone.id"
        class="row items-center"
      >
        <div
          class="climate-zone-legend-color"
          :style="' background-color: ' + climateZone.color"
        />
        <span class="q-ml-xs text-grey-8 climate-zone-legend-caption">{{ climateZone.name }}</span>
      </div>
    </div>
  </q-card>
</template>

<script>
import { PlatformMixin } from 'src/mixins/PlatformMixin'

export default {
  name: 'NavigatorF3ClimateZonesCard',
  mixins: [PlatformMixin],
  computed: {
    imgUrl () {
      return '/images/navigator-f3/climate-zones.png'
    },
    climateZones () {
      return [{
        id: 'alpine',
        name: this.$gettext('Alpine'),
        color: '#E55425'
      }, {
        id: 'atlantic',
        name: this.$gettext('Atlantic'),
        color: '#9C2F22'
      }, {
        id: 'continental',
        name: this.$gettext('Continental'),
        color: '#4A8FCC'
      }, {
        id: 'northern',
        name: this.$gettext('Northern'),
        color: '#FBA81B'
      }, {
        id: 'southern',
        name: this.$gettext('Southern'),
        color: '#8E8EA7'
      }]
    }
  }
}
</script>

<style scoped>
.climate-zone-legend-color {
  width: 11px;
  height: 11px;
  border: 1px solid #616161;
}
.climate-zone-legend-caption {
  font-size: 0.8em
}
</style>
